package com.hr.repository.service;

import com.hr.repository.domain.IpTokenPO;
import com.hr.vo.IpTokenVO;
import org.springframework.data.domain.Page;

/**
 * token表;(ip_token)表服务接口
 * @author : http://www.yonsum.com
 * @date : 2025-10-10
 */
public interface IpTokenService{
    
    /** 
     * 通过ID查询单条数据 
     *
     * @param tid 主键
     * @return 实例对象
     */
    IpTokenVO queryById(Long tid);
    
    /**
     * 分页查询
     *
     * @param ipTokenPO 筛选条件
     * @param current 当前页码
     * @param size  每页大小
     * @return
     */
    Page<IpTokenPO> paginQuery(IpTokenPO ipTokenPO, Integer current, Integer size);
    /**
     * 新增数据
     *
     * @param ipTokenPO 实例对象
     * @return 实例对象
     */
    void insert(IpTokenPO ipTokenPO);
    /** 
     * 更新数据
     *
     * @param IpTokenPO 实例对象
     * @return 实例对象
     */
    void update(IpTokenPO ipTokenPO);
    /** 
     * 通过主键删除数据
     *
     * @param tid 主键
     * @return 是否成功
     */
    boolean deleteById(Long tid);
}